Package commoble.morered

# Class MoreRed

java.lang.Object
commoble.morered.MoreRed

public class MoreRed extends Object

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`MoreRed.Tags`

## Field Summary

Fields
Modifier and Type
Field
Description
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<ChanneledPowerStorageBlockEntity>>`
`bitwiseLogicGateBeType`
`final Map<net.minecraft.resources.ResourceLocation,net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,? extends BitwiseLogicPlateBlock>>`
`bitwiseLogicPlates`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<BundledCablePostBlockEntity>>`
`bundledCablePostBeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,BundledCablePostBlock>`
`bundledCablePostBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<BundledCableRelayPlateBlockEntity>>`
`bundledCableRelayPlateBeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,BundledCableRelayPlateBlock>`
`bundledCableRelayPlateBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,net.minecraft.world.item.Item>`
`bundledCableSpoolItem`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<BundledCableBlockEntity>>`
`bundledNetworkCableBeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,BundledCableBlock>`
`bundledNetworkCableBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity>>`
`coloredNetworkCableBeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,HexidecrubrometerBlock>`
`hexidecrubrometerBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,LatchBlock>`
`latchBlock`
`static final org.apache.logging.log4j.Logger`
`LOGGER`
`final Map<net.minecraft.resources.ResourceLocation,net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,? extends LogicFunctionPlateBlock>>`
`logicPlates`
`static final String`
`MODID`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,ColoredCableBlock>[]`
`networkCableBlocks`
`final net.neoforged.neoforge.registries.DeferredHolder<net.neoforged.neoforge.attachment.AttachmentType<?>,net.neoforged.neoforge.attachment.AttachmentType<Set<net.minecraft.core.BlockPos>>>`
`postsInChunkAttachment`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,PulseGateBlock>`
`pulseGateBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,net.minecraft.world.item.Item>`
`redAlloyIngotItem`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,RedAlloyWireBlock>`
`redAlloyWireBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<WirePostBlockEntity>>`
`redwirePostBeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,WirePostBlock>`
`redwirePostBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,WirePostPlateBlock>`
`redwirePostPlateBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,WirePostPlateBlock>`
`redwirePostRelayPlateBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,WireSpoolItem>`
`redwireSpoolItem`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.inventory.MenuType<?>,net.minecraft.world.inventory.MenuType<SolderingMenu>>`
`solderingMenuType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeType<?>,net.minecraft.world.item.crafting.RecipeType<SolderingRecipe>>`
`solderingRecipeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeSerializer<?>,net.minecraft.world.item.crafting.RecipeSerializer<SolderingRecipe>>`
`solderingSerializer`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,SolderingTableBlock>`
`solderingTableBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.core.component.DataComponentType<?>,net.minecraft.core.component.DataComponentType<net.minecraft.core.BlockPos>>`
`spooledPostComponent`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,PlateBlock>`
`stonePlateBlock`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.CreativeModeTab,net.minecraft.world.item.CreativeModeTab>`
`tab`
`final net.neoforged.neoforge.registries.DeferredHolder<net.neoforged.neoforge.attachment.AttachmentType<?>,net.neoforged.neoforge.attachment.AttachmentType<Map<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape>>>`
`voxelCacheAttachment`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<WireBlockEntity>>`
`wireBeType`
`final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.storage.loot.functions.LootItemFunctionType<?>,net.minecraft.world.level.storage.loot.functions.LootItemFunctionType<WireCountLootFunction>>`
`wireCountLootFunction`

## Constructor Summary

Constructors
Constructor
Description
`MoreRed(net.neoforged.bus.api.IEventBus modBus)`

## Method Summary

Modifier and Type
Method
Description
`static MoreRed`
`get()`
`static net.minecraft.resources.ResourceLocation`
`getModRL(String name)`
`<B extends BitwiseLogicPlateBlock>
net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,B>`
`registerBitwiseLogicGateType(net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, BiFunction<net.minecraft.world.level.block.state.BlockBehaviour.Properties,LogicFunction,B> blockFactory)`
`net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,LogicFunctionPlateBlock>`
`registerLogicGateType(net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, LogicFunctionPlateBlock.LogicFunctionPlateBlockFactory factory)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### MODID

public static final String MODID

See Also:
  - Constant Field Values

### LOGGER

public static final org.apache.logging.log4j.Logger LOGGER

### logicPlates

public final Map<net.minecraft.resources.ResourceLocation,net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,? extends LogicFunctionPlateBlock>> logicPlates

### bitwiseLogicPlates

public final Map<net.minecraft.resources.ResourceLocation,net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,? extends BitwiseLogicPlateBlock>> bitwiseLogicPlates

### solderingTableBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,SolderingTableBlock> solderingTableBlock

### stonePlateBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,PlateBlock> stonePlateBlock

### latchBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,LatchBlock> latchBlock

### pulseGateBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,PulseGateBlock> pulseGateBlock

### redwirePostBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,WirePostBlock> redwirePostBlock

### redwirePostPlateBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,WirePostPlateBlock> redwirePostPlateBlock

### redwirePostRelayPlateBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,WirePostPlateBlock> redwirePostRelayPlateBlock

### hexidecrubrometerBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,HexidecrubrometerBlock> hexidecrubrometerBlock

### redAlloyWireBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,RedAlloyWireBlock> redAlloyWireBlock

### networkCableBlocks

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,ColoredCableBlock>[] networkCableBlocks

### bundledNetworkCableBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,BundledCableBlock> bundledNetworkCableBlock

### bundledCablePostBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,BundledCablePostBlock> bundledCablePostBlock

### bundledCableRelayPlateBlock

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,BundledCableRelayPlateBlock> bundledCableRelayPlateBlock

### redwireSpoolItem

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,WireSpoolItem> redwireSpoolItem

### bundledCableSpoolItem

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,net.minecraft.world.item.Item> bundledCableSpoolItem

### redAlloyIngotItem

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.Item,net.minecraft.world.item.Item> redAlloyIngotItem

### tab

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.CreativeModeTab,net.minecraft.world.item.CreativeModeTab> tab

### redwirePostBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<WirePostBlockEntity>> redwirePostBeType

### wireBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<WireBlockEntity>> wireBeType

### coloredNetworkCableBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<ColoredCableBlockEntity>> coloredNetworkCableBeType

### bundledNetworkCableBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<BundledCableBlockEntity>> bundledNetworkCableBeType

### bundledCablePostBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<BundledCablePostBlockEntity>> bundledCablePostBeType

### bundledCableRelayPlateBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<BundledCableRelayPlateBlockEntity>> bundledCableRelayPlateBeType

### bitwiseLogicGateBeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.entity.BlockEntityType<?>,net.minecraft.world.level.block.entity.BlockEntityType<ChanneledPowerStorageBlockEntity>> bitwiseLogicGateBeType

### solderingMenuType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.inventory.MenuType<?>,net.minecraft.world.inventory.MenuType<SolderingMenu>> solderingMenuType

### solderingSerializer

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeSerializer<?>,net.minecraft.world.item.crafting.RecipeSerializer<SolderingRecipe>> solderingSerializer

### solderingRecipeType

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.item.crafting.RecipeType<?>,net.minecraft.world.item.crafting.RecipeType<SolderingRecipe>> solderingRecipeType

### wireCountLootFunction

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.storage.loot.functions.LootItemFunctionType<?>,net.minecraft.world.level.storage.loot.functions.LootItemFunctionType<WireCountLootFunction>> wireCountLootFunction

### postsInChunkAttachment

public final net.neoforged.neoforge.registries.DeferredHolder<net.neoforged.neoforge.attachment.AttachmentType<?>,net.neoforged.neoforge.attachment.AttachmentType<Set<net.minecraft.core.BlockPos>>> postsInChunkAttachment

### voxelCacheAttachment

public final net.neoforged.neoforge.registries.DeferredHolder<net.neoforged.neoforge.attachment.AttachmentType<?>,net.neoforged.neoforge.attachment.AttachmentType<Map<net.minecraft.core.BlockPos,net.minecraft.world.phys.shapes.VoxelShape>>> voxelCacheAttachment

### spooledPostComponent

public final net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.core.component.DataComponentType<?>,net.minecraft.core.component.DataComponentType<net.minecraft.core.BlockPos>> spooledPostComponent

## Constructor Details

### MoreRed

public MoreRed(net.neoforged.bus.api.IEventBus modBus)

## Method Details

### get

public static MoreRed get()

### getModRL

public static net.minecraft.resources.ResourceLocation getModRL(String name)

### registerLogicGateType

public net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,LogicFunctionPlateBlock> registerLogicGateType(net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, LogicFunctionPlateBlock.LogicFunctionPlateBlockFactory factory)

### registerBitwiseLogicGateType

public <B extends BitwiseLogicPlateBlock> net.neoforged.neoforge.registries.DeferredHolder<net.minecraft.world.level.block.Block,B> registerBitwiseLogicGateType(net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.level.block.Block> blocks, net.neoforged.neoforge.registries.DeferredRegister<net.minecraft.world.item.Item> items, String name, LogicFunction function, BiFunction<net.minecraft.world.level.block.state.BlockBehaviour.Properties,LogicFunction,B> blockFactory)